Bug 652546 - Review Request: erlang-webmachine - A REST-based system for building web applications
Review Request: erlang-webmachine - A REST-based system for building web appl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On: 591926 639263
Blocks: 652598 652629 652665 823105 841766
  Show dependency treegraph
 
Reported: 2010-11-12 02:27 EST by Peter Lemenkov
Modified: 2012-07-20 04:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-webmachine-1.8.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 13:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jpopelka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-11-12 02:27:31 EST
Spec URL: http://peter.fedorapeople.org/erlang-webmachine.spec
SRPM URL: http://peter.fedorapeople.org/erlang-webmachine-1.7.3-1.fc12.src.rpm
Description: A REST-based system for building web applications

This is one of the requirements for Riak
Comment 1 Peter Lemenkov 2010-11-24 09:44:55 EST
Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2621260

rpmlint:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-webmachine-1.7.3-1.fc12.ppc.rpm 
erlang-webmachine.ppc: E: no-binary
erlang-webmachine.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
sulaco ~/rpmbuild/SPECS:
Comment 2 Peter Lemenkov 2011-01-10 13:23:21 EST
Ver. 1.8.0:

http://peter.fedorapeople.org/erlang-webmachine.spec
http://peter.fedorapeople.org/erlang-webmachine-1.8.0-1.fc12.src.rpm

Koji scratchbuild for F-15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2713130

rpmlint:

sulaco ~/Desktop: rpmlint erlang-webmachine-1.8.0-1.fc15.*
erlang-webmachine.src: W: invalid-url Source0: basho-webmachine-webmachine-1.8.0-0-g15d815e.tar.gz
erlang-webmachine.x86_64: E: no-binary
erlang-webmachine.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
sulaco ~/Desktop:
Comment 3 Jiri Popelka 2011-01-11 11:46:00 EST
 +:ok, =:needs attention, -:needs fixing

MUST Items:
[=] MUST: rpmlint must be run on every package.
Rpmlint shows that the package contains no binary.
Are the *.beam files architecture dependent ?
If not then you should use BuildArch: noarch

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license
          and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match
          the actual license.
[+] MUST: If (and only if) the source package includes the text
          of the license(s) in its own file, then that file,
          containing the text of the license(s)
          for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=] MUST: The sources used to build the package must match the upstream source,
          as provided in the spec URL.
https://fedoraproject.org/wiki/Packaging/SourceURL says:
There are several cases where upstream is not providing the source to you in an upstream tarball.
In these cases you must document how to generate the tarball used in the rpm either through
a spec file comment or a script included as a separate SourceX:. 

[+] MUST: The package must successfully compile and build into binary rpms on
          at least one supported architecture.
[N/A] MUST: If the package does not successfully compile,
            build or work on an architecture,
            then those architectures should be listed in
            the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[N/A] MUST: The spec file MUST handle locales properly.
            This is done by using the %find_lang macro.
[N/A] MUST: Every binary RPM package which stores shared
            library files (not just symlinks)
            in any of the dynamic linker's default paths,
            must call ldconfig in %post and %postun.
[N/A] MUST: If the package is designed to be relocatable,
            the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
          If it does not create a directory that it uses,
          then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
          Executables should be set with
          executable permissions, for example.
          Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section,
          which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described
          in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content.
          This is described in detail in the code vs. content
          section of Packaging Guidelines.
[N/A] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc,
          it must not affect the runtime of the application.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: Packages containing pkgconfig(.pc) files must
            'Requires: pkgconfig' (for directory ownership and usability).
[N/A] MUST: If a package contains library files with
            a suffix (e.g. libfoo.so.1.1), then library files that end
            in .so (without suffix) must go in a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require
            the base package using a fully versioned dependency:
            Requires: %{name} = %{version}-%{release} 
[N/A] MUST: Packages must NOT contain any .la libtool archives,
            these should be removed in the spec.
[N/A] MUST: Packages containing GUI applications must include
            a %{name}.desktop file, and that file must be properly
            installed with desktop-file-install in the %install section.
[N/A] MUST: Packages must not own files or directories
            already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run
          rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[N/A] SHOULD: If the source package does not include license text(s)
              as a separate file from upstream,
              the packager SHOULD query upstream to include it.
[N/A] SHOULD: The description and summary sections in the package
              spec file should contain translations for supported
              Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary
             rpms on all supported architectures.
[N/A] SHOULD: The reviewer should test that the package functions as described.
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N/A] SHOULD: Usually, subpackages other than devel should require
              the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
           and this is usually for development purposes, so should be placed in
           a -devel pkg. A reasonable exception is that the main pkg itself is
           a devel tool not installed in a user runtime, e.g. gcc or gdb.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
           /usr/bin, or /usr/sbin consider requiring the package which
           provides the file instead of the file itself.

Otherwise I see no other problem.
Comment 4 Peter Lemenkov 2011-01-13 09:12:35 EST
Thanks for the comments!

(In reply to comment #3)
>  +:ok, =:needs attention, -:needs fixing
> 
> MUST Items:
> [=] MUST: rpmlint must be run on every package.
> Rpmlint shows that the package contains no binary.
> Are the *.beam files architecture dependent ?
> If not then you should use BuildArch: noarch

Unfortunately I can't, and that's an Erlang-specific issue. 

All Erlang packages must be installed into Erlang's own libdir ( %{_libdir}/erlang/lib ) which is arch-dependent (thus every package effectively becomes arch-dependent). I plan to eliminate this shortcoming in the future Fedora releases, but I wouldn't expect quick resolution (maybe in Fedora 17 or even in Fedora 18).

> [=] MUST: The sources used to build the package must match the upstream source,
>           as provided in the spec URL.
> https://fedoraproject.org/wiki/Packaging/SourceURL says:
> There are several cases where upstream is not providing the source to you in an
> upstream tarball.
> In these cases you must document how to generate the tarball used in the rpm
> either through
> a spec file comment or a script included as a separate SourceX:. 
> 

Done. Fixed comment, right above Source0.

Here are the latest spec and src.rpm files:

http://peter.fedorapeople.org/erlang-webmachine.spec
http://peter.fedorapeople.org/erlang-webmachine-1.8.0-2.fc12.src.rpm
Comment 5 Jiri Popelka 2011-01-13 10:58:23 EST
Everything's OK.
Package Approved.
Comment 6 Peter Lemenkov 2011-01-13 11:03:02 EST
Thanks!

New Package SCM Request
=======================
Package Name: erlang-webmachine
Short Description: A REST-based system for building web applications
Owners: peter
Branches: f14 el6
InitialCC:
Comment 7 Jason Tibbitts 2011-01-13 12:24:54 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2011-01-13 13:28:02 EST
erlang-webmachine-1.8.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-webmachine-1.8.0-2.fc14
Comment 9 Fedora Update System 2011-01-21 17:54:26 EST
erlang-webmachine-1.8.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.